## xfce4-weather-plugin 0.12.0

=== meson_options.txt ===
option(
  'upower-glib',
  type: 'feature',
  value: 'auto',
  description: 'upower for adapting update interval to power state',
)

option(
  'geonames-username',
  type: 'string',
  value: 'xfce4weatherplugin',
  description: '''
    Username for the GeoNames webservice. Please register your own if
    you're going to distribute the package, as requests are limited
    per hour and day. See README for further information.
  ''',
)

## xfce4-weather-plugin 0.7.4

=== debian/changelog ===
xfce4-weather-plugin (0.7.4-3) unstable; urgency=low

  * Brown paper bag release.
  * debian/patches/series added, so the patch is really applied.closes: #647749

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 18 Nov 2011 10:48:51 +0100

xfce4-weather-plugin (0.7.4-2) unstable; urgency=low

  * debian/patches:
    - 00_license added, change the license key for the one from CTW since it
      seems to work and brings back the feature. Temporary fix until a real
      solution is found.                                        closes: #647749
  * debian/rules:
    - switch to debhelper with hardening support
  * debian/control:
    - update debhelper build-dep to 8.9.4 for hardening support.
    - add dpkg-dev 1.16.1 build-dep for hardening support.
    - drop cdbs and hardening-includes.
    - fix typo in long description.
  * debian/compat bumped to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 16 Nov 2011 22:48:59 +0100

xfce4-weather-plugin (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add build dep on libxfcegui4-dev.
    - update standards version to 3.9.2.
    - add build-dep on hardening-includes.
    - remove Emanuele and Simon from uploaders, thanks to them.
    - bump Xfce build-deps to 4.8.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -O1, -z,defs and --as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS.
  * debian/patches:
    - 01_support-ipv6-only-proxies dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 20 Apr 2011 10:27:02 +0200

xfce4-weather-plugin (0.7.3-3) unstable; urgency=low

  * debian/patches:
    - 01_support-ipv6-only-proxies added, fix support for proxies with only
      IPv6 addresses. Thanks Roman Mamedov.                     closes: #579972
  * debian/control:
    - update standards version to 3.8.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 04 May 2010 08:46:43 +0200

xfce4-weather-plugin (0.7.3-2) unstable; urgency=low

  * debian/rules:
    - drop useless removal of config.status, fix ftbfs.         closes: #564361
  * debian/control:
    - update standards version to 3.8.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 09 Jan 2010 15:50:19 +0100

xfce4-weather-plugin (0.7.3-1) unstable; urgency=low

  * debian/watch edited to track Xfce archive reorganisation.
  * New upstream release.
  * debian/patches:
    - 01_fix-cache-folder-permissions dropped, merged upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 04 Aug 2009 22:33:38 +0200

xfce4-weather-plugin (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix-cache-folder-permissions added, fix permissions on the cache
      folder.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 03 Aug 2009 15:11:16 +0200

xfce4-weather-plugin (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 Jul 2009 19:44:39 +0200

xfce4-weather-plugin (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update standards version to 3.8.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 24 Jun 2009 08:37:55 +0200

xfce4-weather-plugin (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: and update the copyright holders.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 16 Jun 2009 22:05:22 +0200

xfce4-weather-plugin (0.6.3-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
    - display an icon even when there's no report.              closes: #510215
  * debian/control:
    - add build-dep on intltool.
    - drop versionned build-dep on xfce4-panel, 4.4 is everywhere now.
  * debian/patches:
    - 01_fix-local-encodings dropped, included upstream.
    - 02_correct-orientation too.
    - 03_use-gtk-2.12-api too.
    - 04_handle-network-config-changes as well.

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 14 Jun 2009 11:19:43 +0200

xfce4-weather-plugin (0.6.2-3) unstable; urgency=low

  * debian/control:
    - update standards version to 3.8.1.
    - switch to xfce section.
  * debian/patches:
    - 02_correct-orientation added, use panel orientation to display text
      more legibly.
    - 03_use-gtk-2.12-api added, prettify tooltips using gtk 2.12 API.
    - 04_handle-network-config-changes added, correctly handle network
      reconfiguration.
  * debian/rules:
    - -Wl,-z,defs -Wl,--as-needed added to LDFLAGS.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 09 Jun 2009 22:31:18 +0200

xfce4-weather-plugin (0.6.2-2) unstable; urgency=low

  * debian/patches:
    - 01_fix-local-encodings added. Fix issues with non UTF8 encodings of
    dates.                                                      closes: #483952
  * debian/control:
    - remove Rudy Godoy and Martin Loschwitz from Uploaders.
    - update standards version to 3.8.0.
    - add dep on ${misc:Depends}.
    - bump debhelper build-dep to 7.
  * debian/compat: bump to 7.
   

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 10 Mar 2009 07:41:10 +0100

xfce4-weather-plugin (0.6.2-1) unstable; urgency=low

  [ Simon Huggins ]
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.
  * Add Vcs-* headers to debian/control

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - updated standard versions to 3.7.3.
    - updated my email to the debian.org one.
  * debian/copyright: updated copyrights, authors and license.
  * debian/NEWS: remove tab at beginning of lines. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 08 Dec 2007 19:28:17 +0100

xfce4-weather-plugin (0.6.0-1) unstable; urgency=low

  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control:
   - removed Jani from uploaders as he's not anymore in the team.


=== debian/control ===
Source: xfce4-weather-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: autotools-dev, debhelper (>= 8.9.4), dpkg-dev (>= 1.16.1),
 xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
 libxfcegui4-dev (>= 4.8.0)
Standards-Version: 3.9.2
Homepage: http://goodies.xfce.org/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

Package: xfce4-weather-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: weather information plugin for the Xfce4 panel
 The weather plugin displays information about the current weather according
 your timezone and settings. It allows one to search weather location code in
 the same plugin and displays weather status in little icons.
 .
 Features include:
  - Temperature, atmospheric pressure and state.
  - Wind speed, gust, and direction.
  - Humidity, Visibility, Dew-point, UV Index.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

%:
	dh $@

override_dh_auto_install:
	-rm -rf debian/`dh_listpackages`/usr/lib/xfce4/panel-plugins/*.a
	-rm -rf debian/`dh_listpackages`/usr/lib/xfce4/panel-plugins/*.la
	dh_auto_install

## xfce4-weather-plugin 0.8.1

=== debian/changelog ===
xfce4-weather-plugin (0.8.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control: switch to libxfce4ui-1-dev (ported upstream).
  * debian/patches:
    - 00_license.patch: dropped, upstream changed the forecast provider.
  * debian/rules: fix rule to remove la files.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 15 Aug 2012 13:39:21 +0200

xfce4-weather-plugin (0.7.4-3build2) quantal; urgency=low

  * No change rebuild against xfce4-panel 4.10.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 19 May 2012 14:38:24 +0200

xfce4-weather-plugin (0.7.4-3build1) quantal; urgency=low

  * No change rebuild to pick updated xfce4-panel shlibs.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 17 May 2012 23:02:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: autotools-dev, debhelper (>= 8.9.4), dpkg-dev (>= 1.16.1),
  xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
- libxfcegui4-dev (>= 4.8.0)
+ libxfce4ui-1-dev
 Standards-Version: 3.9.2
 Homepage: http://goodies.xfce.org/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

%:
	dh $@

override_dh_install:
	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.a
	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.la
	dh_install

## xfce4-weather-plugin 0.8.2

=== debian/changelog ===
xfce4-weather-plugin (0.8.2-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.
  * New upstream release.
  * debian/control: switch to libxfce4ui-1-dev (ported upstream).
  * debian/patches:
    - 00_license.patch: dropped, upstream changed the forecast provider.
  * debian/rules: fix rule to remove la files.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - add --parallel to dh calls.
  * debian/control:
    - update standards version to 3.9.3.
    - add Lionel to uploaders.
    - update debhelper build-dep to 9. 

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 07 Oct 2012 14:56:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 8.9.4), dpkg-dev (>= 1.16.1),
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>,
+ Lionel Le Folgoc <mrpouit@gmail.com>
+Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16.1),
  xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
  libxfce4ui-1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://goodies.xfce.org/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_install:
 	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.a

## xfce4-weather-plugin 0.8.3

=== debian/changelog ===
xfce4-weather-plugin (0.8.3-1ubuntu0.1) trusty; urgency=medium

  * Add patches from upstream git to use locationforcast-1.2 (LP: #1377612)

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 11 Oct 2014 16:12:57 -0400

xfce4-weather-plugin (0.8.3-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Upload to unstable.
  * New upstream release.
  * debian/rules:
    - enable all hardening rules.
  * debian/control:
    - add build-dep on libsoup2.4-dev.

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 01_link-libm.patch: added, fix build
    - 02_fix-color-parsing.patch: added, load the saved color from the config
    - 03_fix-panel-icon-size.patch: added, fix cut off panel icon.
  * debian/control: add b-deps on xfce4-dev-tools, automake, autoconf and
    libtool, needed by xdt-autogen.
  * debian/rules: run xdt-autogen and clean up afterwards due to the libm build
    fix.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 22 May 2013 20:24:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16.1),
  xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
- libxfce4ui-1-dev
+ libxfce4ui-1-dev, libsoup2.4-dev, xfce4-dev-tools, automake, autoconf, libtool
 Standards-Version: 3.9.3
 Homepage: http://goodies.xfce.org/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

=== debian/watch ===
version=3
http://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/([\d\.]+)/ \
	xfce4-weather-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-weather-plugin 0.8.4

=== debian/changelog ===
xfce4-weather-plugin (0.8.4-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/patches: Drop all patches, included upstream.
  * debian/control: Remove build deps on xfce4-dev-tools, automake,
    autoconf and libtool
  * debian/rules: Do not run xdt-autogen

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 30 Nov 2014 09:07:09 -0500

xfce4-weather-plugin (0.8.3-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/copyright updated.
  * debian/control:
    - update standards version to 3.9.6.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Add patches from upstream git to use locationforcast-1.2

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 05 Oct 2014 15:22:17 +0200

## xfce4-weather-plugin 0.8.5

=== debian/changelog ===
xfce4-weather-plugin (0.8.5-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1408440

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 08 Jan 2015 07:39:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
- Lionel Le Folgoc <mrpouit@gmail.com>
+ Lionel Le Folgoc <mrpouit@gmail.com>,
+ Sean Davis <smd.seandavis@gmail.com>
 Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16.1),
  xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
- libxfce4ui-1-dev, libsoup2.4-dev, xfce4-dev-tools, automake, autoconf, libtool
-Standards-Version: 3.9.3
+ libxfce4ui-1-dev, libsoup2.4-dev
+Standards-Version: 3.9.6
 Homepage: http://goodies.xfce.org/
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
 
 Package: xfce4-weather-plugin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
-export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --parallel

## xfce4-weather-plugin 0.8.6

=== debian/changelog ===
xfce4-weather-plugin (0.8.6-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
    - Remove negative sign when temperature is rounded to 0 °F. Closes: #778800

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 28 Jun 2015 14:05:30 +0200

xfce4-weather-plugin (0.8.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 23:06:11 +0200

xfce4-weather-plugin (0.8.5-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: all patches removed since they're included upstream
  * debian/control:
    - add build-dep on dh-autoreconf
  * debian/rules:
    - use autoreconf dh addon instead of manually handling files.
  * debian/copyright updated

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 13 Mar 2015 22:32:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,13 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
 
 override_dh_install:
 	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.a
 	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.la
 	dh_install
+
+override_dh_autoreconf:
+	mkdir -p m4
+	NOCONFIGURE=1 dh_autoreconf xdt-autogen

## xfce4-weather-plugin 0.8.7

=== debian/changelog ===
xfce4-weather-plugin (0.8.7-0ubuntu1) devel; urgency=medium

  * New upstream release

 -- Unit 193 <unit193@ubuntu.com>  Thu, 26 May 2016 17:06:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
- Lionel Le Folgoc <mrpouit@gmail.com>,
- Sean Davis <smd.seandavis@gmail.com>
+ Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16.1),
  xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
- libxfce4ui-1-dev, libsoup2.4-dev
+ libxfce4ui-1-dev, libsoup2.4-dev, xfce4-dev-tools, automake, autoconf, libtool,
+ dh-autoreconf
 Standards-Version: 3.9.6
 Homepage: http://goodies.xfce.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

## xfce4-weather-plugin 0.8.8

=== debian/changelog ===
xfce4-weather-plugin (0.8.8-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release. 
    - Drop 01_update-yr.no-url.patch -- included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 Sep 2016 11:34:12 +0200

xfce4-weather-plugin (0.8.7-3) unstable; urgency=medium

  * debian/patches:
    - fix obvious typo in 01_update-yr.no-url.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 29 Aug 2016 16:30:09 +0200

xfce4-weather-plugin (0.8.7-2) unstable; urgency=medium

  * debian/patches:
    - 01_update-yr.no-url added, update API url for Yr.no serice.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 29 Aug 2016 14:14:18 +0200

xfce4-weather-plugin (0.8.7-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #774101)
  * debian/control:
    - Bump standards version to 3.9.8.
    - Use secured link for Vcs-Browser.
  * debian/watch:
    - Bump to version 4.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 28 Jun 2016 22:09:54 +0200

## xfce4-weather-plugin 0.8.9

=== debian/changelog ===
xfce4-weather-plugin (0.8.9-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 18 Feb 2017 16:05:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: autotools-dev, debhelper (>= 9), dpkg-dev (>= 1.16.1),
  xfce4-panel-dev (>= 4.8.0), libxml2-dev, libxml-parser-perl, intltool, 
  libxfce4ui-1-dev, libsoup2.4-dev, xfce4-dev-tools, automake, autoconf, libtool,
  dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://goodies.xfce.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
 
 Package: xfce4-weather-plugin
 Architecture: any

## xfce4-weather-plugin 0.8.10

=== debian/changelog ===
xfce4-weather-plugin (0.8.10-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Jun 2018 19:04:13 -0700

xfce4-weather-plugin (0.8.10-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * Run wrap-and-sort.
  * Update Standards-Version to 4.1.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Oct 2017 20:38:46 +0200

=== debian/control ===
Source: xfce4-weather-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1),
               intltool,
               libsoup2.4-dev,
               libtool,
               libxfce4ui-1-dev,
               libxml-parser-perl,
               libxml2-dev,
               xfce4-dev-tools,
               xfce4-panel-dev (>= 4.8.0)
Standards-Version: 4.1.1
Homepage: http://goodies.xfce.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

Package: xfce4-weather-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: weather information plugin for the Xfce4 panel
 The weather plugin displays information about the current weather according
 your timezone and settings. It allows one to search weather location code in
 the same plugin and displays weather status in little icons.
 .
 Features include:
  - Temperature, atmospheric pressure and state.
  - Wind speed, gust, and direction.
  - Humidity, Visibility, Dew-point, UV Index.

## xfce4-weather-plugin 0.8.11

=== debian/changelog ===
xfce4-weather-plugin (0.8.11-0ubuntu0.18.04.1) bionic; urgency=medium

  * The Sunrise 1.1 API is deprecated, use 2.0 (LP: #1821662)

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 26 Mar 2019 06:36:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>

=== debian/watch ===
version=4
http://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/([\d\.]+)/ \
	xfce4-weather-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-weather-plugin 0.9.0

=== debian/changelog ===
xfce4-weather-plugin (0.9.0-1) experimental; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
    closes: #899951
  * d/gbp.conf added, following DEP-14
  * New upstream version 0.9.0
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: update build-dep for new release
  * d/control: drop spurious build-deps
  * d/compat bumped to 10
  * d/copyright updated for new release
  * d/rules: use a specific username for geonames API

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Sep 2018 15:51:32 +0200

=== debian/control ===
Source: xfce4-weather-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               intltool,
               libglib2.0-dev (>= 2.42),
               libgtk-3-dev (>= 3.22),
               libsoup2.4-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               libxml2-dev,
               xfce4-dev-tools
Standards-Version: 4.1.1
Homepage: http://goodies.xfce.org/
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin

Package: xfce4-weather-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: weather information plugin for the Xfce4 panel
 The weather plugin displays information about the current weather according
 your timezone and settings. It allows one to search weather location code in
 the same plugin and displays weather status in little icons.
 .
 Features include:
  - Temperature, atmospheric pressure and state.
  - Wind speed, gust, and direction.
  - Humidity, Visibility, Dew-point, UV Index.

## xfce4-weather-plugin 0.9.0really0.8.11

=== debian/changelog ===
xfce4-weather-plugin (0.9.0really0.8.11-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Monkey with the versioning so it's higher than 0.9.0.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Jul 2019 14:35:44 -0700

=== debian/control ===
Source: xfce4-weather-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
#XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1),
               intltool,
               libsoup2.4-dev,
               libtool,
               libxfce4ui-1-dev,
               libxml-parser-perl,
               libxml2-dev,
               xfce4-dev-tools,
               xfce4-panel-dev (>= 4.8.0)
Standards-Version: 4.1.1
Homepage: http://goodies.xfce.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-weather-plugin/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-weather-plugin/

Package: xfce4-weather-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: weather information plugin for the Xfce4 panel
 The weather plugin displays information about the current weather according
 your timezone and settings. It allows one to search weather location code in
 the same plugin and displays weather status in little icons.
 .
 Features include:
  - Temperature, atmospheric pressure and state.
  - Wind speed, gust, and direction.
  - Humidity, Visibility, Dew-point, UV Index.

## xfce4-weather-plugin 0.9.1

=== debian/changelog ===
xfce4-weather-plugin (0.9.1-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 23 Mar 2019 20:01:27 -0400

=== debian/control ===
Source: xfce4-weather-plugin
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               intltool,
               libglib2.0-dev (>= 2.42),
               libgtk-3-dev (>= 3.22),
               libsoup2.4-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               libxml2-dev,
               xfce4-dev-tools
Standards-Version: 4.1.1
Homepage: http://goodies.xfce.org/
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin

Package: xfce4-weather-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: weather information plugin for the Xfce4 panel
 The weather plugin displays information about the current weather according
 your timezone and settings. It allows one to search weather location code in
 the same plugin and displays weather status in little icons.
 .
 Features include:
  - Temperature, atmospheric pressure and state.
  - Wind speed, gust, and direction.
  - Humidity, Visibility, Dew-point, UV Index.

## xfce4-weather-plugin 0.10.0

=== debian/changelog ===
xfce4-weather-plugin (0.10.0-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Wed, 28 Aug 2019 23:28:56 -0400

xfce4-weather-plugin (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * d/control: update standards version to 4.4.0
  * use debhelper-compat b-d for dh compat level
  * d/control: update dh compat level to 11
  * use HTTPS protocol in various URLs

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 22 Aug 2019 18:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 11),
                dpkg-dev (>= 1.16.1),
                intltool,
                libglib2.0-dev (>= 2.42),
@@ -15,8 +14,8 @@
                libxfce4util-dev,
                libxml2-dev,
                xfce4-dev-tools
-Standards-Version: 4.1.1
-Homepage: http://goodies.xfce.org/
+Standards-Version: 4.4.0
+Homepage: https://goodies.xfce.org/
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin

=== debian/watch ===
version=4
https://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/([\d\.]+)/ \
	xfce4-weather-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-weather-plugin 0.10.1

=== debian/changelog ===
xfce4-weather-plugin (0.10.1-1~mx17) mx; urgency=medium

  * Rebuild for MX-17/18

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 03 Sep 2020 11:08:00 -0400

xfce4-weather-plugin (0.10.1-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 03 Sep 2020 10:47:15 -0400

xfce4-weather-plugin (0.10.1-1) unstable; urgency=medium

  * d/watch: switch to uscan special strings
  * New upstream version 0.10.1
  * update standards version to 4.5.0

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Mar 2020 16:09:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export GEONAMES_USERNAME=xfce4weatherpluginde

%:
	dh $@

override_dh_install:
	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.a
	-rm -rf debian/`dh_listpackages`/usr/lib/*/xfce4/panel/plugins/*.la
	dh_install

override_dh_autoreconf:
	mkdir -p m4
	xdt-autogen

## xfce4-weather-plugin 0.10.2

=== debian/changelog ===
xfce4-weather-plugin (0.10.2-1~mx17) mx; urgency=medium

  * Rebuild for MX-17/18

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 10 Nov 2020 16:38:18 -0500

xfce4-weather-plugin (0.10.2-1~mx19) mx; urgency=medium

  * New upstream release
  * Switch to API 2.0 as older API is deprecated and will go away soon.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 10 Nov 2020 15:52:23 -0500

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 override_dh_autoreconf:
 	mkdir -p m4
 	xdt-autogen
-

## xfce4-weather-plugin 0.11.0

=== debian/changelog ===
xfce4-weather-plugin (0.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Repository, Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Apply multi-arch hints. + xfce4-weather-plugin: Add Multi-Arch: same.

  [ Yves-Alexis Perez ]
  * New upstream version 0.11.0
  * d/control: add build-dep on libxfconf-0-dev
  * d/control: update standards version to 4.5.1

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 22 Feb 2021 18:22:23 +0100

xfce4-weather-plugin (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.2.
  * d/control:
    - Bump DH compat to 12.
    - Drop old versioned 'dpkg-dev' Build-Dep.
    - R³: no.
    - Update 'Homepage' field.
  * d/copyright:
    - Update 'Source' field for GitLab.
    - Use 'https' where possible.
  * Trim whitespace from previous changelog entrires.

 -- Unit 193 <unit193@debian.org>  Tue, 10 Nov 2020 19:56:42 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 11),
-               dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper-compat (= 12),
                intltool,
                libglib2.0-dev (>= 2.42),
                libgtk-3-dev (>= 3.22),
@@ -12,16 +11,19 @@
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
+               libxfconf-0-dev,
                libxml2-dev,
                xfce4-dev-tools
-Standards-Version: 4.4.0
-Homepage: https://goodies.xfce.org/
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Homepage: https://docs.xfce.org/panel-plugins/xfce4-weather-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin
 
 Package: xfce4-weather-plugin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: weather information plugin for the Xfce4 panel
  The weather plugin displays information about the current weather according
  your timezone and settings. It allows one to search weather location code in

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 override_dh_autoreconf:
 	mkdir -p m4
-	xdt-autogen
+	dh_autoreconf

## xfce4-weather-plugin 0.11.1

=== debian/changelog ===
xfce4-weather-plugin (0.11.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Aug 2023 12:51:37 -0700

xfce4-weather-plugin (0.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * d/rules: Drop autoreconf override
  * d/control: Bump Standards-Version to 4.6.1
  * d/control: Bump dh-compat to 13
  * Fix links in upstream metadata
  * d/rules: Drop --as-needed from LDFLAGS
  * d/rules: Use execute_after_dh_auto_install

  [ Unit 193 ]
  * New upstream version 0.11.1.
  * d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Jun 2023 03:11:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libglib2.0-dev (>= 2.42),
                libgtk-3-dev (>= 3.22),
@@ -15,7 +16,7 @@
                libxml2-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-weather-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export GEONAMES_USERNAME=xfce4weatherpluginde

%:
	dh $@

execute_after_dh_auto_install:
	find debian -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xfce4-weather-plugin 0.11.2

=== debian/changelog ===
xfce4-weather-plugin (0.11.2-1build2) noble; urgency=high

  * No change rebuild against libsoup-2.4-1.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:52:05 +0200

xfce4-weather-plugin (0.11.2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:31:24 +0000

xfce4-weather-plugin (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.11.2.
    - Migration to Sunrise API 3.0 (Closes: #1041048)
  * d/control: Add libjson-c-dev to Build-Depends.

 -- Unit 193 <unit193@debian.org>  Sat, 16 Mar 2024 18:55:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,
                libglib2.0-dev (>= 2.42),
                libgtk-3-dev (>= 3.22),
+               libjson-c-dev,
                libsoup2.4-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,

## xfce4-weather-plugin 0.11.3

=== debian/changelog ===
xfce4-weather-plugin (0.11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.11.3.
    - Use subdomain for api.met.no (Closes: #1100545)
  * d/control: Bump Standards-Version to 4.7.0.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 15 Mar 2025 20:19:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-weather-plugin
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,
@@ -17,7 +16,7 @@
                libxml2-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-weather-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-weather-plugin

## xfce4-weather-plugin 0.12.0

=== debian/changelog ===
xfce4-weather-plugin (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/control: update libsoup build-dep to 3.0 (Closes: #1073962)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 21 Aug 2025 20:55:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-dev (>= 2.42),
                libgtk-3-dev (>= 3.22),
                libjson-c-dev,
-               libsoup2.4-dev,
+               libsoup-3.0-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,3 @@
 
 override_dh_installchangelogs:
 	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
